libgdamm: Gnome::Gda::MetaStoreError Class Reference

libgdamm 4.99.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Gnome::Gda::MetaStoreError Class Reference
Inheritance diagram for Gnome::Gda::MetaStoreError:
[legend]
Collaboration diagram for Gnome::Gda::MetaStoreError:
[legend]

List of all members.

## Public Types
enum | Code { META_STORE_INCORRECT_SCHEMA_ERROR, META_STORE_UNSUPPORTED_PROVIDER_ERROR, META_STORE_INTERNAL_ERROR, META_STORE_META_CONTEXT_ERROR, META_STORE_MODIFY_CONTENTS_ERROR, META_STORE_EXTRACT_SQL_ERROR, META_STORE_ATTRIBUTE_NOT_FOUND_ERROR, META_STORE_ATTRIBUTE_ERROR, META_STORE_SCHEMA_OBJECT_NOT_FOUND_ERROR, META_STORE_SCHEMA_OBJECT_CONFLICT_ERROR, META_STORE_SCHEMA_OBJECT_DESCR_ERROR, META_STORE_TRANSACTION_ALREADY_STARTED_ERROR }
## Public Member Functions
| MetaStoreError (Code error_code, const Glib::ustring& error_message)
| MetaStoreError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

enum Gnome::Gda::MetaStoreError::Code

Enumerator:

  META_STORE_INCORRECT_SCHEMA_ERROR |
  META_STORE_UNSUPPORTED_PROVIDER_ERROR |
  META_STORE_INTERNAL_ERROR |
  META_STORE_META_CONTEXT_ERROR |
  META_STORE_MODIFY_CONTENTS_ERROR |
  META_STORE_EXTRACT_SQL_ERROR |
  META_STORE_ATTRIBUTE_NOT_FOUND_ERROR |
  META_STORE_ATTRIBUTE_ERROR |
  META_STORE_SCHEMA_OBJECT_NOT_FOUND_ERROR |
  META_STORE_SCHEMA_OBJECT_CONFLICT_ERROR |
  META_STORE_SCHEMA_OBJECT_DESCR_ERROR |
  META_STORE_TRANSACTION_ALREADY_STARTED_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::MetaStoreError::MetaStoreError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::MetaStoreError::MetaStoreError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::MetaStoreError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- libgdamm/metastore.h